ooo-build r13299 - in trunk: . bin/piece doc patches/dev300
- From: michael svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r13299 - in trunk: . bin/piece doc patches/dev300
- Date: Fri, 18 Jul 2008 16:30:45 +0000 (UTC)
Author: michael
Date: Fri Jul 18 16:30:45 2008
New Revision: 13299
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13299&view=rev
Log:
2008-07-18 Michael Meeks <michael meeks novell com>
* bin/piece/noulf, bin/piece/noulfconv: dummy non-translation.
* bin/piece/build-bootstrap: bin sleep, build scp2 too.
Added:
trunk/bin/piece/noulf (contents, props changed)
trunk/bin/piece/noulfconv
trunk/patches/dev300/piece-scp2.diff
trunk/patches/dev300/piece-solenv.diff
Modified:
trunk/ChangeLog
trunk/bin/piece/Makefile.am
trunk/bin/piece/build-bootstrap
trunk/bin/piece/sys-setup
trunk/doc/split.txt
trunk/patches/dev300/apply
Modified: trunk/bin/piece/Makefile.am
==============================================================================
--- trunk/bin/piece/Makefile.am (original)
+++ trunk/bin/piece/Makefile.am Fri Jul 18 16:30:45 2008
@@ -1,6 +1,7 @@
EXTRA_DIST = \
sys-setup \
unpack-l10n \
+ noulf noulfconv \
${wildcard env-*} \
${wildcard build-*} \
${wildcard install-*}
Modified: trunk/bin/piece/build-bootstrap
==============================================================================
--- trunk/bin/piece/build-bootstrap (original)
+++ trunk/bin/piece/build-bootstrap Fri Jul 18 16:30:45 2008
@@ -1,7 +1,6 @@
# build bash script - invoked from build-ooo
-cd $OOBUILDDIR/soltools || exit 1;
-echo "About to sleep ..."
-sleep 25
-perl $SOLARENV/bin/build.pl --all $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
-perl $SOLARENV/bin/build.pl --deliver $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
+export ULFEX=$TOOLSDIR/bin/piece/noulf
+export ULFCONV=$TOOLSDIR/bin/piece/noulfconv
+
+perl $SOLARENV/bin/build.pl --subdirs:soltools:scp2 $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
Added: trunk/bin/piece/noulf
==============================================================================
--- (empty file)
+++ trunk/bin/piece/noulf Fri Jul 18 16:30:45 2008
@@ -0,0 +1,29 @@
+#!/usr/bin/perl -w
+
+use strict;
+
+# dummy 'ulfex' / transex3/source/lngex.cxx equivalent, cf unitools.mk
+
+my ($in, $out);
+my $ignored = '';
+while (my $arg = shift @ARGV) {
+ if ($arg eq '-i') {
+ $in = shift @ARGV;
+ } elsif ($arg eq '-o') {
+ $out = shift @ARGV;
+ } else {
+ $ignored .= " $arg";
+ }
+}
+
+print "noulf: in $in, out $out, ignored args: '$ignored'\n";
+
+# copy it straight ...
+my ($infile, $outfile);
+open $infile, "$in" || die "can't open $in: $!";
+open $outfile, ">$out" || die "can't open $out: $!";
+while (<$infile>) {
+ print $outfile $_;
+}
+close $outfile;
+close ($infile);
Added: trunk/bin/piece/noulfconv
==============================================================================
--- (empty file)
+++ trunk/bin/piece/noulfconv Fri Jul 18 16:30:45 2008
@@ -0,0 +1,29 @@
+#!/usr/bin/perl -w
+
+use strict;
+
+# dummy 'ulfconv' / setup_native/source/ulfconv.cxx equivalent, cf. unitools.mk
+
+my ($in, $out);
+my $ignored = '';
+while (my $arg = shift @ARGV) {
+ if ($arg eq '-o') {
+ $out = shift @ARGV;
+ } elsif ($arg eq '-t') {
+ shift @ARGV; # ignore the translation table
+ } else {
+ $in = $arg;
+ }
+}
+
+print "noulfconv: in $in, out $out\n";
+
+# copy it straight ...
+my ($infile, $outfile);
+open $infile, "$in" || die "can't open $in: $!";
+open $outfile, ">$out" || die "can't open $out: $!";
+while (<$infile>) {
+ print $outfile $_;
+}
+close $outfile;
+close ($infile);
Modified: trunk/bin/piece/sys-setup
==============================================================================
--- trunk/bin/piece/sys-setup (original)
+++ trunk/bin/piece/sys-setup Fri Jul 18 16:30:45 2008
@@ -52,4 +52,3 @@
SOLARLIB="$SOLARLIB -L$JAVA_HOME/lib -L$JAVA_HOME/jre/lib/i386 -L$JAVA_HOME/jre/lib/i386/client -L$JAVA_HOME/jre/lib/i386/native_threads -L/usr/lib -L/usr/lib/xulrunner-1.9"
export SOLARLIB SOLARINC
export SOLARIDLINC="-I$SOLARVERSION/$INPATH/idl$EXT_UPDMINOR -I$SOLARPIECE/$INPATH/idl$EXT_UPDMINOR"
-
Modified: trunk/doc/split.txt
==============================================================================
--- trunk/doc/split.txt (original)
+++ trunk/doc/split.txt Fri Jul 18 16:30:45 2008
@@ -265,3 +265,12 @@
* RPM doesn't really need file-lists either
+
+* FIXME:
+ + is transex3/source/lngex - what we want ?
+ + do we even want scp2 ?
+ + rather a waste of time surely ?
+ + why not just bin it ? :-)
+
+
+
Modified: trunk/patches/dev300/apply
==============================================================================
--- trunk/patches/dev300/apply (original)
+++ trunk/patches/dev300/apply Fri Jul 18 16:30:45 2008
@@ -2616,6 +2616,8 @@
piece-javaunohelper.diff
piece-io.diff
piece-remotebridges.diff
+piece-scp2.diff
+piece-solenv.diff
[ BFFixes ]
fit-list-to-size-binfilter.diff, thorsten
Added: trunk/patches/dev300/piece-scp2.diff
==============================================================================
--- (empty file)
+++ trunk/patches/dev300/piece-scp2.diff Fri Jul 18 16:30:45 2008
@@ -0,0 +1,28 @@
+--- scp2/prj/build.lst 2008-06-06 10:37:54.000000000 +0100
++++ scp2/prj/build.lst 2008-06-06 10:37:54.000000000 +0100
+@@ -1,4 +1,4 @@
+-cp scp2 : setup_native transex3 PYTHON:python ICU:icu NULL
++cp scp2 : soltools PYTHON:python ICU:icu NULL
+ cp scp2 usr1 - all cp_mkout NULL
+ cp scp2\macros nmake - all cp_langmacros NULL
+ cp scp2\source\templates nmake - all cp_langtemplates NULL
+
+
+--- scp2/source/ooo/makefile.mk
++++ scp2/source/ooo/makefile.mk
+@@ -41,7 +41,7 @@
+ # --- Settings -----------------------------------------------------
+
+ .INCLUDE : settings.mk
+-.INCLUDE : i18npool/version.mk
++# .INCLUDE : i18npool/version.mk
+
+ .IF "$(ENABLE_CRASHDUMP)"!=""
+ SCPDEFS+=-DENABLE_CRASHDUMP
+@@ -288,5 +288,5 @@
+ $(ICUVERSION_DEPENDENT_FILES) : $(SOLARINCDIR)$/icuversion.mk
+ .ENDIF
+
+-$(ISOLANGVERSION_DEPENDENT_FILES) : $(SOLARINCDIR)$/i18npool/version.mk
++# $(ISOLANGVERSION_DEPENDENT_FILES) : $(SOLARINCDIR)$/i18npool/version.mk
+
Added: trunk/patches/dev300/piece-solenv.diff
==============================================================================
--- (empty file)
+++ trunk/patches/dev300/piece-solenv.diff Fri Jul 18 16:30:45 2008
@@ -0,0 +1,20 @@
+--- solenv/bin/modules/installer/setupscript.pm 2008-07-18 17:17:13.000000000 +0100
++++ solenv/bin/modules/installer/setupscript.pm 2008-07-18 17:17:13.000000000 +0100
+@@ -66,10 +66,14 @@
+
+ # and now the complete path for the setup script is needed
+ # The log file cannot be used, because this is the language independent section
+-
+- $scriptnameref = installer::scriptitems::get_sourcepath_from_filename_and_includepath(\$scriptname, $includepatharrayref, 1);
+
+- $installer::globals::setupscriptname = $$scriptnameref;
++ if (defined $ENV{OO_SOLVERDIR}) {
++ $installer::globals::setupscriptname = "$ENV{OO_SOLVERDIR}/bin/$scriptname";
++ } else {
++ $scriptnameref = installer::scriptitems::get_sourcepath_from_filename_and_includepath(\$scriptname, $includepatharrayref, 1);
++
++ $installer::globals::setupscriptname = $$scriptnameref;
++ }
+
+ if ( $installer::globals::setupscriptname eq "" )
+ {
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]